Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/Config.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/Config.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/Config.js	(working copy)
@@ -144,6 +144,12 @@
 		this._bound = true;
 	},
 
+	
+	act: function ()
+	{
+		alert("TODO")
+	},
+	
 	/**
 	 * Creates the main panel
 	 * @return {Ext.panel.Panel} The panel created
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/Groups.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/Groups.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/Groups.js	(working copy)
@@ -68,6 +68,11 @@
 		this.pluginName = pluginName;
 		window.onbeforeunload = Ext.bind(this.checkBeforeQuit, this);
 	},
+	
+	act: function()
+	{
+		alert("TODO");
+	},
 
 	/**
 	 * Create the main screen
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/JVMStatus.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/JVMStatus.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/JVMStatus.js	(working copy)
@@ -84,6 +84,11 @@
 		this.pluginName = pluginName;
 	},
 
+	act: function ()
+	{
+		alert("TODO");
+	},
+	
 	/**
 	 * Create the panel for displaying this screen
 	 */
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/Password.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/Password.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/Password.js	(working copy)
@@ -1,5 +1,5 @@
 /*
- *  Copyright 2012 Anyware Services
+ *  Copyright 2015 Anyware Services
  *
  *  Licensed under the Apache License, Version 2.0 (the "License");
  *  you may not use this file except in compliance with the License.
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/Plugins.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/Plugins.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/Plugins.js	(working copy)
@@ -104,6 +104,11 @@
 		this.pluginName = pluginName;
 	},
 
+	act: function()
+	{
+		alert("TODO");
+	},
+	
 	/**
 	 * Create the screen
 	 * @param {Object} rootNode1 The root node conf for _tree (plugins by file)
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/Profiles.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/Profiles.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/Profiles.js	(working copy)
@@ -72,6 +72,11 @@
 		window.onbeforeunload = Ext.bind(this.checkBeforeQuit, this);
 	},
 	
+	act: function()
+	{
+		alert("TODO");
+	},
+	
 	/**
 	 * @private
 	 * Quit
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/System.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/System.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/System.js	(working copy)
@@ -72,6 +72,11 @@
 		this.pluginName = pluginName;
 	},
 	
+	act: function()
+	{
+		alert("TODO");
+	},
+	
 	/**
 	 * Creates the panel that rules the screen
 	 * @returns {Ext.Panel} The screen
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/Users.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/Users.js	(revision 31811)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/Users.js	(working copy)
@@ -55,6 +55,11 @@
 		this.pluginName = pluginName;
 	},
 	
+	act: function()
+	{
+		alert("TODO");
+	},
+	
 	/**
 	 * Creates the panel that rules the screen
 	 * @returns {Ext.Panel} The screen
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/actions/LogsActions.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/actions/LogsActions.js	(revision 0)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/actions/LogsActions.js	(revision 0)
@@ -0,0 +1,260 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Singleton class defining the actions related to the visualization of logs.
+ * @private
+ */
+Ext.define('Ametys.plugins.core.administration.actions.LogsActions', {
+	singleton: true,
+	
+	/**
+	 * View the selected log file
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	view: function(controller)
+	{
+		var target = controller.getMatchingTargets()[0];
+		if (target != null)
+		{
+			var targetParameters = target.getParameters();
+			if (targetParameters.size > 1024 * 1024)
+		    {
+		    	Ametys.Msg.confirm ("<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_VIEW_DIALOG_TITLE'/>", 
+		    					    "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_VIEW_DIALOG_CONFIRM'/>", 
+		    					    Ext.bind(this._downloadFiles, this, [controller]));
+		    }
+		    else
+		    {
+				window.location.href = Ametys.getPluginDirectPrefix(controller.getPluginName()) + "/administrator/logs/view/" + encodeURIComponent(targetParameters.location);
+		    }
+		}
+	},
+	
+	/**
+	 * Download the selected log file(s)
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	download: function (controller)
+	{
+		this._downloadFiles(controller);
+	},
+	
+	/**
+	 * @private
+	 * Download the selected log files
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller of the clicked button
+	 */
+	_downloadFiles: function (controller)
+	{
+	    var url = Ametys.getPluginDirectPrefix(controller.getPluginName()) + "/administrator/logs/download.zip";
+	    var args = "";
+
+	    var targets = controller.getMatchingTargets();
+	    for (var i = 0; i < targets.length; i++)
+	    {
+	        var target = targets[i];
+	        args += "file=" + encodeURIComponent(target.getParameters().location) + "&";
+	    }
+	    
+	    window.location.href = url + "?" + args;
+	},
+	
+	/**
+	 * Delete the selected log file(s) with a confirmation dialog
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	delete: function (controller)
+	{
+		Ametys.Msg.confirm ("<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_DELETE_DIALOG_TITLE'/>", 
+							"<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_DELETE_DIALOG_CONFIRM'/>", 
+							Ext.bind(this._delete, this, [controller], 1));
+	},
+	
+	/**
+	 * @private
+	 * Callback to actually delete the log files
+	 * @param {String} answer Will do the deletion if 'yes'
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller of the clicked button
+	 */
+	_delete: function(answer, controller)
+	{
+		if (answer == 'yes')
+	    {
+			var filesLocations = [];
+	        
+	        var targets = controller.getMatchingTargets();
+	        for (var i = 0; i < targets.length; i++)
+	        {
+	            var target = targets[i];
+	            filesLocations.push(target.getParameters().location);
+	        }
+	        
+	        controller.serverCall('deleteLogs', [filesLocations], Ext.bind(this._deleteCb, this),
+				{ errorMessage: { msg: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_DELETE_ERROR'/>", category: 'Ametys.plugins.core.administration.actions.LogsActions'} }, 
+			true);
+	    }
+	},
+	
+	/**
+	 * @private 
+	 * Callback for the purge/deletion process
+	 * @param {Object} response the server's response
+	 * @param {String[]} failures the list of file locations for failed deletions
+	 * @param {String[]} successes the list of file locations for successful deletions
+	 */
+	_deleteCb: function(response)
+	{
+		this._sendDeletionMessage(response.successes);
+		
+        if (response.failures.length > 0)
+        {
+        	Ametys.Msg.show({
+				title: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_DELETE_DIALOG_TITLE'/>",
+				msg: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_DELETE_ERROR'/>",
+				buttons: Ext.Msg.OK,
+				icon: Ext.MessageBox.ERROR
+			});
+        }
+	},
+	
+	/**
+	 * Remove the at least 12 days old log files from the tool with a confirmation dialog
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	purge: function (controller)
+	{
+		Ametys.Msg.confirm ("<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_PURGE_DIALOG_TITLE'/>", 
+					         "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_PURGE_DIALOG_CONFIRM'/>",
+					         Ext.bind(this._purge, this, [controller], 1));
+	},
+	
+	/**
+	 * @private
+	 * Purge the selected files with a confirmation dialog
+	 */
+	_purge: function (answer, controller)
+	{
+		if (answer == 'yes')
+	    {
+	        controller.serverCall('purgeLogs', null, Ext.bind(this._purgeCb, this),
+				{ errorMessage: { msg: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_PURGE_SERVER_ERROR'/>", category: 'Ametys.plugins.core.administration.actions.LogsActions'} }, 
+			true);
+	    }	
+	},
+	
+	/**
+	 * @private
+	 * Callback for the purge process
+	 * @param {Object} response the server's response
+	 * @param {String[]} response.filesToPurge the files to remove from the logs tool
+	 */
+	_purgeCb: function(response)
+	{
+		var filesToPurge = response.filesToPurge;
+		this._sendDeletionMessage(filesToPurge);
+		
+        Ametys.Msg.show({
+			title: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_PURGE'/>",
+			msg: filesToPurge.length == 0 ? "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_PURGE_NONE'/>" : filesToPurge.length + " " + "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_PURGE_AMOUNT'/>",
+			buttons: Ext.Msg.OK,
+			icon: Ext.MessageBox.INFO
+    	});
+	},
+	
+	/**
+	 * @private
+	 * Send a deletion message for the logs tool
+	 * @param {String[]} deletedFiles the deleted files or the files to remove from the store in the case of a purge
+	 */
+	_sendDeletionMessage: function(deletedFiles)
+	{
+		var targets = [];
+
+		Ext.Array.forEach(deletedFiles, function(deletedFile) {
+			
+			var target = Ext.create('Ametys.message.MessageTarget', {
+					type: 'logfile',
+					parameters: {location: deletedFile}
+				});
+			
+			targets.push(target);
+		});
+		
+		if (targets.length > 0)
+		{			
+			Ext.create('Ametys.message.Message', {
+				type: Ametys.message.Message.DELETED,
+				targets: targets
+			});
+		}
+	},
+	
+	/**
+	 * Change the logging level of the selected category to the configured #Ametys.plugins.core.administration.controller.LogLevelController._level
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
+	 */
+	changeLogLevel: function(controller)
+	{
+		var targets = controller.getMatchingTargets();
+		if (targets.length > 0)
+		{
+			var newLevel = controller._level,
+				category = targets[0].getParameters().category;
+			
+			controller.serverCall('changeLogLevel',
+					[newLevel, category], 
+					Ext.bind(this._changeLogLevelCB, this),
+					{ 
+						errorMessage: { 
+							msg: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_TOOL_LOGS_LEVEL_SERVER_ERROR'/>", 
+							category: 'Ametys.plugins.core.administration.actions.LogsActions' 
+						},
+						arguments: {
+							level: newLevel,
+							category: category
+						}
+					},
+					true
+			);
+		}
+	},
+	
+	/**
+	 * @private
+	 * Callback for the log level changing process
+	 * @param {Object} response the server's response
+	 * @param {Object} args the callback arguments
+	 */
+	_changeLogLevelCB: function(response, args)
+	{
+		var targets = [];
+		var target = Ext.create('Ametys.message.MessageTarget', {
+				type: 'log-category',
+				parameters: {level: args.level, category: args.category}
+			});
+		
+		targets.push(target);
+		
+		if (targets.length > 0)
+		{			
+			Ext.create('Ametys.message.Message', {
+				type: Ametys.message.Message.MODIFIED,
+				targets: targets
+			});
+		}
+	}
+});
\ No newline at end of file
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/controller/LogLevelController.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/controller/LogLevelController.js	(revision 0)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/controller/LogLevelController.js	(revision 0)
@@ -0,0 +1,87 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * This class controls a ribbon button allowing to modify the log level of a given category 
+ * @private
+ */
+Ext.define('Ametys.plugins.core.administration.controller.LogLevelController', {
+	extend: 'Ametys.ribbon.element.ui.ButtonController',
+	
+	/**
+	 * @property {String} _level the logging level of the button
+	 * @private
+	 */
+	constructor: function(config)
+	{
+		this.callParent(arguments);
+		this._level = config.level;
+		
+		Ametys.message.MessageBus.on(Ametys.message.Message.MODIFIED, this._onModified, this);
+	},
+
+	/**
+	 * Listener when the content has been modified
+	 * Will update the state of the buttons effectively upon the current selection.
+	 * @param {Ametys.message.Message} message The modified message.
+	 * @protected
+	 */
+	_onModified: function (message)
+	{
+		this.refresh();
+	},
+	
+	updateState: function()
+	{
+		this._getStatus(this.getMatchingTargets());
+	},
+	
+	/**
+	 * Get the logging level of the selected target
+	 * @param targets The content targets
+	 * @private
+	 */
+	_getStatus: function (targets)
+	{
+		var enable = false,
+			isRoot = false;
+		
+		for (var i=0; i < targets.length; i++)
+		{
+			if (targets[i].getParameters().level != this._level)
+			{
+				enable = true;
+			}
+			
+			if (targets[i].getParameters().category == "root")
+			{
+				isRoot = true;
+			}
+		}
+		
+		if (this._level != "INHERIT")
+		{
+			// INFO, DEBUG, WARN or ERROR
+			
+			this.setDisabled(!enable);
+		}
+		else
+		{
+			// INHERIT
+			this.setDisabled(isRoot);
+		}
+	}
+});
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/tool/LogsLevelTool.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/tool/LogsLevelTool.js	(revision 0)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/tool/LogsLevelTool.js	(revision 0)
@@ -0,0 +1,272 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * &lt;p&gt;This tool displays a tree if log categories, and allows the administrator to perform several operations such as :&lt;/p&gt;
+ * &lt;ul&gt;
+ * 	&lt;li&gt; change the log levels &lt;/li&gt;
+ * 	&lt;li&gt; force log level inheritance &lt;/li&gt;
+ * 	&lt;li&gt; inherit log level &lt;/li&gt;
+ * &lt;/ul&gt;
+ * @private
+ */
+Ext.define('Ametys.plugins.core.administration.tool.LogsLevelTool', {
+	extend: 'Ametys.tool.Tool',
+	
+	/**
+	 * @private
+	 * @property {Ext.tree.Panel} _logsTree The logs tree panel
+	 */
+	
+	constructor: function(config)
+	{
+		this.callParent(arguments);
+		Ametys.message.MessageBus.on(Ametys.message.Message.MODIFIED, this._onModified, this);
+	},
+		
+	getMBSelectionInteraction: function() 
+	{
+		return Ametys.tool.Tool.MB_TYPE_ACTIVE;
+	},
+	
+	createPanel: function ()
+	{
+		this._logsTree = this._drawLogsLevelPanel();
+		return this._logsTree;
+	},
+	
+	sendCurrentSelection: function()
+	{
+		this._onSelectCategory();
+	},
+	
+	/**
+	 * Refreshes the tool
+	 */
+	refresh: function ()
+	{
+		this.showRefreshing();
+		this._logsTree.getStore().load({node: this._logsTree.getRootNode(), callback: this.showRefreshed, scope: this});
+	},
+	
+	getTree: function()
+	{
+		return this._logsTree;
+	},
+	
+	/**
+	 * @private
+	 * Draw the tree panel for the log levels
+	 */
+	_drawLogsLevelPanel: function()
+	{
+		var store = Ext.create('Ext.data.TreeStore', {
+			model: 'Ametys.plugins.core.administration.Logs.Category',
+			
+			root: {
+				expanded: false
+			},			
+			
+	        proxy: {
+	        	type: 'ametys',
+				plugin: 'core',
+				url: 'administrator/logs-level',
+	        	reader: {
+	        		type: 'json',
+					rootProperty: 'children'
+	        	}
+	        },
+	        
+	        listeners: {
+	        	'load': Ext.bind(this._onLoad, this)
+	        }
+		});
+		
+		return new Ext.tree.Panel({
+			store: store,
+			rootVisible: false,
+			
+			border: false,
+			autoScroll: true,
+			
+			listeners: {
+				'selectionchange': Ext.bind(this._onSelectCategory, this)
+			}
+		});
+	},
+	
+    /**
+     * @private
+     * Listener when store is loaded
+     */
+	_onLoad: function()
+    {
+		var rootNode = this._logsTree.getRootNode();
+		
+		// Set the parent level field on each node of the tree
+		this._setParentLevels(rootNode.firstChild.data.level, rootNode.firstChild.childNodes);
+		
+        // Expand first nodes
+        this._logsTree.getRootNode().expandChildren(false, false, this._logsTree._onRootNodesChangedAndExpanded, this);
+    },
+    
+    /**
+     * @private
+     * Set the parent levels on the tree nodes
+     * @param {String} parentLevel the level of the parent node
+     * @param {Ext.data.NodeInterface[]} children the list of child nodes
+     */
+    _setParentLevels: function(parentLevel, children)
+    {
+    	var me = this;
+    	Ext.Array.forEach(children, function(child) {
+    		child.set('parentLevel', parentLevel);
+    		
+    		if (child.childNodes)
+			{
+    			parentLevel = child.data.level == "inherit" ? parentLevel : child.data.level;
+    			me._setParentLevels(parentLevel, child.childNodes);
+			}
+    	});
+    },
+    
+    /**
+     * @private
+     * When the newly loaded root nodes are expanded
+     */
+    _onRootNodesChangedAndExpanded: function()
+    {
+        // Select first node
+        this._logsTree.getSelectionModel().select(this._logsTree.getRootNode().firstChild);
+    },
+	
+    /**
+     * @private
+     * Send selection message
+     */
+	_onSelectCategory: function()
+	{
+		var targets = [];
+		
+		var selectedCategories = this._logsTree.getSelectionModel().getSelection();
+		Ext.Array.forEach(selectedCategories, function(selectedCategory) {
+			
+			target = Ext.create('Ametys.message.MessageTarget', {
+				type: 'log-category',
+				parameters: {id: selectedCategory.getId(), level: selectedCategory.data.level, category: selectedCategory.data.category}
+			});
+			
+			targets.push(target);
+		});
+		
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.SELECTION_CHANGED,
+			targets: targets
+		});
+	},
+    
+	_onModified: function(message)
+	{
+		var targets = message.getTargets("log-category");
+		if (targets.length > 0)
+		{
+			var store = this._logsTree.getStore();
+			var me = this;
+			
+			Ext.Array.forEach(targets, function(target) {
+				var category = target.getParameters().category;
+				var index = store.find("category", category); 
+				if (index != -1)
+				{
+					var level = target.getParameters().level,
+					    modifiedCategory = store.getAt(index); 
+					
+					if (level == 'FORCE')
+					{
+						var level = me._getLevel(modifiedCategory);
+						me._updateNode(null, level, true, true, modifiedCategory);
+					}
+					else if (level == 'INHERIT')
+					{
+						var level = me._getLevel(modifiedCategory.parentNode);
+						me._updateNode(null, level, true, false, modifiedCategory);
+					}
+					else
+					{
+						me._updateNode(null, level, false, false, modifiedCategory);
+					}
+				}
+			});
+			
+		}
+	},
+	
+	_getLevel: function(node)
+    {
+    	if (node.get('level') != 'inherit')
+    	{
+    		return node.get('level');
+    	}
+    	else
+    	{
+    		return this._getLevel(node.parentNode);
+    	}
+    },
+
+	_updateNode: function (node, level, inherited, force, modifiedCategory)
+	{
+		var selection = node == null;
+        inherited = inherited == true;
+        node = node != null ? node : modifiedCategory;
+
+        if (!selection || !force)
+        {
+    		node.set('level', inherited ? "inherit" : level);
+			
+    		// Find the first parent containing the appropriate level information
+    		var parentNode = node.parentNode;
+			while (parentNode.data.level == "inherit")
+			{
+				parentNode = parentNode.parentNode;
+			}
+			node.set('parentLevel', parentNode.data.level);
+        }		
+		
+		for (var i = 0; i < node.childNodes.length; i++)
+		{
+			var childNode = node.childNodes[i];
+			if (childNode.get('level') == "inherit" || force)
+			{
+				this._updateNode(childNode, level, true, force);
+			}
+		}
+	}
+});
+
+Ext.define('Ametys.plugins.core.administration.Logs.Category', { 
+    extend: 'Ext.data.TreeModel', 
+    fields: [ 
+        { name: 'id', type: 'string' }, 
+        { name: 'parentLevel', type: 'string'},
+        { name: 'icon', type: 'string', calculate: function(data) {
+        		return Ametys.getPluginResourcesPrefix("core") + "/img/administrator/logs/loglevel_" + (data.level.toLowerCase() == "inherit" ? data.parentLevel.toLowerCase() + "-inherit": data.level.toLowerCase()) + ".png"
+        	} 
+        }, 
+        { name: 'text', type: 'string', mapping: 'name', sortType: Ext.data.SortTypes.asNonAccentedUCString},
+        { name: 'category', type: 'string', mapping: 'fullname'},
+        { name: 'level', type: 'string', mapping: 'level', sortType: Ext.data.SortTypes.asNonAccentedUCString},
+    ] 
+}); 
Index: main/plugin-core/resources/js/Ametys/plugins/core/administration/tool/LogsTool.js
===================================================================
--- main/plugin-core/resources/js/Ametys/plugins/core/administration/tool/LogsTool.js	(revision 0)
+++ main/plugin-core/resources/js/Ametys/plugins/core/administration/tool/LogsTool.js	(revision 0)
@@ -0,0 +1,188 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * &lt;p&gt;This tool displays the list of logs, and allows the administrator to perform several operations such as :&lt;/p&gt;
+ * &lt;ul&gt;
+ * 	&lt;li&gt; view logs &lt;/li&gt;
+ * 	&lt;li&gt; delete logs &lt;/li&gt;
+ * 	&lt;li&gt; download logs &lt;/li&gt;
+ * 	&lt;li&gt; clean obsolete logs &lt;/li&gt;
+ * &lt;/ul&gt;
+ * @private
+ */
+Ext.define('Ametys.plugins.core.administration.tool.LogsTool', {
+	extend: 'Ametys.tool.Tool',
+	
+	/**
+	 * @private
+	 * @property {Ext.grid.Panel} _logs The logs grid
+	 */
+	
+	constructor: function(config)
+	{
+		this.callParent(arguments);
+		Ametys.message.MessageBus.on(Ametys.message.Message.DELETED, this._onLogFileDeleted, this);
+	},
+	
+	getMBSelectionInteraction: function() 
+	{
+		return Ametys.tool.Tool.MB_TYPE_ACTIVE;
+	},
+	
+	createPanel: function ()
+	{
+		this._logs = this._drawLogsPanel();
+		return this._logs;
+	},
+	
+	setParams: function (params)
+	{
+		this.callParent(arguments);
+		this.refresh();
+	},
+	
+	sendCurrentSelection: function()
+	{
+		this._selectLog();
+	},
+	
+	/**
+	 * Refreshes the tool
+	 */
+	refresh: function ()
+	{
+		this.showRefreshing();
+		this._logs.getStore().load({callback: this.showRefreshed, scope: this});
+	},
+	
+	/**
+	 * @private
+	 * Draw the panel displaying the logs
+	 */
+	_drawLogsPanel: function()
+	{
+		var store = Ext.create('Ext.data.Store', {
+			model: 'Ametys.plugins.core.administration.tool.LogsTool.Log',
+	        groupField: 'name',
+	        
+	        sortOnLoad: true,
+	        sorters: [ { property: 'date', direction: "DESC" } ],
+	        
+	        proxy: {
+	        	type: 'ametys',
+				plugin: 'core',
+				url: 'administrator/logs',
+	        	reader: {
+	        		type: 'xml',
+					record: 'log',
+					rootProperty: 'logs'
+	        	}
+	        }
+		});		
+		
+		return new Ext.grid.Panel({
+			region: 'center',
+
+			stateful: true,
+			stateId: this.self.getName() + "$grid",
+
+			store : store,
+			
+			selModel : {
+		    	mode: 'MULTI'
+		    },
+		    
+		    listeners: {'selectionchange': Ext.bind(this._selectLog, this)},
+		    
+		    features: [{
+		        groupHeaderTpl: ['{columnName}: {name}'],
+		        ftype: 'grouping'
+		    }],
+			
+		    columns: [
+		        {header: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_COL_NAME'/>", flex: 1, width : 250, menuDisabled : true, sortable: true, dataIndex: 'location'},
+		        {header: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_COL_DATE'/>", flex: 0, width : 150, renderer: Ext.util.Format.dateRenderer('d F Y'), menuDisabled : true, sortable: true, dataIndex:'date',  align :'center'},
+		        {header: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_COL_SIZE'/>", flex: 0, width : 100, renderer: this._sizeRendered, menuDisabled : true, sortable: true, dataIndex: 'size', align :'right'},
+		        {header: "<i18n:text i18n:key='PLUGINS_CORE_ADMINISTRATOR_LOGS_COL_CATEGORY'/>", flex: 0, width : 100, hidden: true, menuDisabled : true, sortable: true, dataIndex: 'name', align :'right'}
+		    ]
+		});
+	},
+	
+	/**
+	 * Sends a {Ametys.message.Message.SELECTION_CHANGED} message containing the
+	 * selected log files on the message bus 
+	 */
+	_selectLog: function()
+	{
+		var targets = [];
+
+		var selectedFiles = this._logs.getSelectionModel().getSelection();
+		Ext.Array.forEach(selectedFiles, function(selectedFile) {
+			
+			target = Ext.create('Ametys.message.MessageTarget', {
+				type: 'logfile',
+				parameters: {id: selectedFile.getId(), size: selectedFile.data.size, location: selectedFile.data.location}
+			});
+			
+			targets.push(target);
+		});
+		
+		Ext.create('Ametys.message.Message', {
+			type: Ametys.message.Message.SELECTION_CHANGED,
+			targets: targets
+		});
+	},
+	
+	/**
+	 * @private
+	 * Returns a readable size for a size
+	 * @param {Number} size The size to render
+	 * @return {String} The readable size. e.g. 12 MB
+	 */
+	_sizeRendered: function (size)
+	{
+		return Ext.util.Format.fileSize(size);
+	},
+	
+	_onLogFileDeleted: function(message)
+	{
+		var targets = message.getTargets("logfile");
+		if (targets.length > 0)
+		{
+			var store = this._logs.getStore();
+			Ext.Array.forEach(targets, function(target) {
+				var location = target.getParameters().location;
+				var index = store.find("location", location); 
+				if (index != -1)
+				{
+					store.removeAt(index);
+				}
+			});
+		}
+	}
+});
+
+Ext.define('Ametys.plugins.core.administration.tool.LogsTool.Log', {
+    extend: 'Ext.data.Model',
+    
+    fields: [
+       {name: 'location', mapping: 'location'},
+       {name: 'date', type: 'date', dateFormat: Ext.Date.patterns.ISO8601DateTime, mapping: 'lastModified'},
+       {name: 'size', type: 'int', mapping: 'size'},
+       {name: 'name', mapping: 'name'}
+    ]
+});
